<?php
$tdataaccountexpense = array();
$tdataaccountexpense[".searchableFields"] = array();
$tdataaccountexpense[".ShortName"] = "accountexpense";
$tdataaccountexpense[".OwnerID"] = "";
$tdataaccountexpense[".OriginalTable"] = "accountexpense";


$tdataaccountexpense[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdataaccountexpense[".originalPagesByType"] = $tdataaccountexpense[".pagesByType"];
$tdataaccountexpense[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdataaccountexpense[".originalPages"] = $tdataaccountexpense[".pages"];
$tdataaccountexpense[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdataaccountexpense[".originalDefaultPages"] = $tdataaccountexpense[".defaultPages"];

//	field labels
$fieldLabelsaccountexpense = array();
$fieldToolTipsaccountexpense = array();
$pageTitlesaccountexpense = array();
$placeHoldersaccountexpense = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsaccountexpense["English"] = array();
	$fieldToolTipsaccountexpense["English"] = array();
	$placeHoldersaccountexpense["English"] = array();
	$pageTitlesaccountexpense["English"] = array();
	$fieldLabelsaccountexpense["English"]["expenseID"] = "Expense ID";
	$fieldToolTipsaccountexpense["English"]["expenseID"] = "";
	$placeHoldersaccountexpense["English"]["expenseID"] = "";
	$fieldLabelsaccountexpense["English"]["AccountTypeID"] = "Account Type ID";
	$fieldToolTipsaccountexpense["English"]["AccountTypeID"] = "";
	$placeHoldersaccountexpense["English"]["AccountTypeID"] = "";
	$fieldLabelsaccountexpense["English"]["Amouts"] = "Amouts";
	$fieldToolTipsaccountexpense["English"]["Amouts"] = "";
	$placeHoldersaccountexpense["English"]["Amouts"] = "";
	$fieldLabelsaccountexpense["English"]["Noted"] = "Noted";
	$fieldToolTipsaccountexpense["English"]["Noted"] = "";
	$placeHoldersaccountexpense["English"]["Noted"] = "";
	$fieldLabelsaccountexpense["English"]["Daterecorde"] = "Daterecorde";
	$fieldToolTipsaccountexpense["English"]["Daterecorde"] = "";
	$placeHoldersaccountexpense["English"]["Daterecorde"] = "";
	$pageTitlesaccountexpense["English"]["list"] = "ລົງບັນຊີລາຍຈ່າຍ";
	if (count($fieldToolTipsaccountexpense["English"]))
		$tdataaccountexpense[".isUseToolTips"] = true;
}


	$tdataaccountexpense[".NCSearch"] = true;



$tdataaccountexpense[".shortTableName"] = "accountexpense";
$tdataaccountexpense[".nSecOptions"] = 0;

$tdataaccountexpense[".mainTableOwnerID"] = "";
$tdataaccountexpense[".entityType"] = 0;
$tdataaccountexpense[".connId"] = "eflejob_at_localhost";


$tdataaccountexpense[".strOriginalTableName"] = "accountexpense";

	



$tdataaccountexpense[".showAddInPopup"] = false;

$tdataaccountexpense[".showEditInPopup"] = false;

$tdataaccountexpense[".showViewInPopup"] = false;

	$tdataaccountexpense[".listAjax"] = true;
//	temporary
//$tdataaccountexpense[".listAjax"] = false;

	$tdataaccountexpense[".audit"] = false;

	$tdataaccountexpense[".locking"] = false;


$pages = $tdataaccountexpense[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataaccountexpense[".edit"] = true;
	$tdataaccountexpense[".afterEditAction"] = 1;
	$tdataaccountexpense[".closePopupAfterEdit"] = 1;
	$tdataaccountexpense[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataaccountexpense[".add"] = true;
$tdataaccountexpense[".afterAddAction"] = 1;
$tdataaccountexpense[".closePopupAfterAdd"] = 1;
$tdataaccountexpense[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataaccountexpense[".list"] = true;
}



$tdataaccountexpense[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataaccountexpense[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataaccountexpense[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataaccountexpense[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataaccountexpense[".printFriendly"] = true;
}



$tdataaccountexpense[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataaccountexpense[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataaccountexpense[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataaccountexpense[".isUseAjaxSuggest"] = true;



						

$tdataaccountexpense[".ajaxCodeSnippetAdded"] = false;

$tdataaccountexpense[".buttonsAdded"] = false;

$tdataaccountexpense[".addPageEvents"] = false;

// use timepicker for search panel
$tdataaccountexpense[".isUseTimeForSearch"] = false;


$tdataaccountexpense[".badgeColor"] = "6da5c8";


$tdataaccountexpense[".allSearchFields"] = array();
$tdataaccountexpense[".filterFields"] = array();
$tdataaccountexpense[".requiredSearchFields"] = array();

$tdataaccountexpense[".googleLikeFields"] = array();
$tdataaccountexpense[".googleLikeFields"][] = "expenseID";
$tdataaccountexpense[".googleLikeFields"][] = "AccountTypeID";
$tdataaccountexpense[".googleLikeFields"][] = "Amouts";
$tdataaccountexpense[".googleLikeFields"][] = "Noted";
$tdataaccountexpense[".googleLikeFields"][] = "Daterecorde";



$tdataaccountexpense[".tableType"] = "list";

$tdataaccountexpense[".printerPageOrientation"] = 0;
$tdataaccountexpense[".nPrinterPageScale"] = 100;

$tdataaccountexpense[".nPrinterSplitRecords"] = 40;

$tdataaccountexpense[".geocodingEnabled"] = false;










$tdataaccountexpense[".pageSize"] = 20;

$tdataaccountexpense[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdataaccountexpense[".strOrderBy"] = $tstrOrderBy;

$tdataaccountexpense[".orderindexes"] = array();


$tdataaccountexpense[".sqlHead"] = "SELECT expenseID,  	AccountTypeID,  	Amouts,  	Noted,  	Daterecorde";
$tdataaccountexpense[".sqlFrom"] = "FROM accountexpense";
$tdataaccountexpense[".sqlWhereExpr"] = "";
$tdataaccountexpense[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataaccountexpense[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataaccountexpense[".arrGroupsPerPage"] = $arrGPP;

$tdataaccountexpense[".highlightSearchResults"] = true;

$tableKeysaccountexpense = array();
$tableKeysaccountexpense[] = "expenseID";
$tdataaccountexpense[".Keys"] = $tableKeysaccountexpense;


$tdataaccountexpense[".hideMobileList"] = array();




//	expenseID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "expenseID";
	$fdata["GoodName"] = "expenseID";
	$fdata["ownerTable"] = "accountexpense";
	$fdata["Label"] = GetFieldLabel("accountexpense","expenseID");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "expenseID";

		$fdata["sourceSingle"] = "expenseID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "expenseID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataaccountexpense["expenseID"] = $fdata;
		$tdataaccountexpense[".searchableFields"][] = "expenseID";
//	AccountTypeID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "AccountTypeID";
	$fdata["GoodName"] = "AccountTypeID";
	$fdata["ownerTable"] = "accountexpense";
	$fdata["Label"] = GetFieldLabel("accountexpense","AccountTypeID");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "AccountTypeID";

		$fdata["sourceSingle"] = "AccountTypeID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "AccountTypeID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataaccountexpense["AccountTypeID"] = $fdata;
		$tdataaccountexpense[".searchableFields"][] = "AccountTypeID";
//	Amouts
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "Amouts";
	$fdata["GoodName"] = "Amouts";
	$fdata["ownerTable"] = "accountexpense";
	$fdata["Label"] = GetFieldLabel("accountexpense","Amouts");
	$fdata["FieldType"] = 5;


	
	
			

		$fdata["strField"] = "Amouts";

		$fdata["sourceSingle"] = "Amouts";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Amouts";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataaccountexpense["Amouts"] = $fdata;
		$tdataaccountexpense[".searchableFields"][] = "Amouts";
//	Noted
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "Noted";
	$fdata["GoodName"] = "Noted";
	$fdata["ownerTable"] = "accountexpense";
	$fdata["Label"] = GetFieldLabel("accountexpense","Noted");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "Noted";

		$fdata["sourceSingle"] = "Noted";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Noted";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataaccountexpense["Noted"] = $fdata;
		$tdataaccountexpense[".searchableFields"][] = "Noted";
//	Daterecorde
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "Daterecorde";
	$fdata["GoodName"] = "Daterecorde";
	$fdata["ownerTable"] = "accountexpense";
	$fdata["Label"] = GetFieldLabel("accountexpense","Daterecorde");
	$fdata["FieldType"] = 7;


	
	
			

		$fdata["strField"] = "Daterecorde";

		$fdata["sourceSingle"] = "Daterecorde";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Daterecorde";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 5;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataaccountexpense["Daterecorde"] = $fdata;
		$tdataaccountexpense[".searchableFields"][] = "Daterecorde";


$tables_data["accountexpense"]=&$tdataaccountexpense;
$field_labels["accountexpense"] = &$fieldLabelsaccountexpense;
$fieldToolTips["accountexpense"] = &$fieldToolTipsaccountexpense;
$placeHolders["accountexpense"] = &$placeHoldersaccountexpense;
$page_titles["accountexpense"] = &$pageTitlesaccountexpense;


changeTextControlsToDate( "accountexpense" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["accountexpense"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["accountexpense"] = array();



	
	//if !@t.bReportCrossTab
			$strOriginalDetailsTable="accounttype";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="accounttype";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "accounttype";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["accountexpense"][0] = $masterParams;
				$masterTablesData["accountexpense"][0]["masterKeys"] = array();
	$masterTablesData["accountexpense"][0]["masterKeys"][]="AccountTypeID";
				$masterTablesData["accountexpense"][0]["detailKeys"] = array();
	$masterTablesData["accountexpense"][0]["detailKeys"][]="AccountTypeID";
		
	//endif
// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_accountexpense()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "expenseID,  	AccountTypeID,  	Amouts,  	Noted,  	Daterecorde";
$proto0["m_strFrom"] = "FROM accountexpense";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "expenseID",
	"m_strTable" => "accountexpense",
	"m_srcTableName" => "accountexpense"
));

$proto6["m_sql"] = "expenseID";
$proto6["m_srcTableName"] = "accountexpense";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "AccountTypeID",
	"m_strTable" => "accountexpense",
	"m_srcTableName" => "accountexpense"
));

$proto8["m_sql"] = "AccountTypeID";
$proto8["m_srcTableName"] = "accountexpense";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "Amouts",
	"m_strTable" => "accountexpense",
	"m_srcTableName" => "accountexpense"
));

$proto10["m_sql"] = "Amouts";
$proto10["m_srcTableName"] = "accountexpense";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "Noted",
	"m_strTable" => "accountexpense",
	"m_srcTableName" => "accountexpense"
));

$proto12["m_sql"] = "Noted";
$proto12["m_srcTableName"] = "accountexpense";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "Daterecorde",
	"m_strTable" => "accountexpense",
	"m_srcTableName" => "accountexpense"
));

$proto14["m_sql"] = "Daterecorde";
$proto14["m_srcTableName"] = "accountexpense";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto16=array();
$proto16["m_link"] = "SQLL_MAIN";
			$proto17=array();
$proto17["m_strName"] = "accountexpense";
$proto17["m_srcTableName"] = "accountexpense";
$proto17["m_columns"] = array();
$proto17["m_columns"][] = "expenseID";
$proto17["m_columns"][] = "AccountTypeID";
$proto17["m_columns"][] = "Amouts";
$proto17["m_columns"][] = "Noted";
$proto17["m_columns"][] = "Daterecorde";
$obj = new SQLTable($proto17);

$proto16["m_table"] = $obj;
$proto16["m_sql"] = "accountexpense";
$proto16["m_alias"] = "";
$proto16["m_srcTableName"] = "accountexpense";
$proto18=array();
$proto18["m_sql"] = "";
$proto18["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto18["m_column"]=$obj;
$proto18["m_contained"] = array();
$proto18["m_strCase"] = "";
$proto18["m_havingmode"] = false;
$proto18["m_inBrackets"] = false;
$proto18["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto18);

$proto16["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto16);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="accountexpense";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_accountexpense = createSqlQuery_accountexpense();


	
		;

					

$tdataaccountexpense[".sqlquery"] = $queryData_accountexpense;



$tdataaccountexpense[".hasEvents"] = false;

?>